Email
Inboxes
Marketing
SMS
Sign
Verify
Forms
Scheduling
Hooks
Risk
Platform
Delete a schedule
DELETE
/v1/scheduling/hosts/{host}/schedules/{schedule_id}
Refused for the host's default schedule.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
host*stringThe host's id or uid.
schedule_id*stringThe schedule's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"Deleted.
application/json- response
- response
- …
object*"scheduling.schedule"Value in
"scheduling.schedule"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.schedules.remove({ value: "host_01kd2m9a0b1c2d3e4f5g6h7j8m",}, { value: "sched_01kd2m9a0b1c2d3e4f5g6h7j8m",});{ "object": "scheduling.schedule", "id": "sched_01kd2m9a0b1c2d3e4f5g6h7j8m", "deleted": true}